Retrieve all data about an individual CRM user
curl -X GET "https://www.my-site.com/api/site/v2/users/1234 or user@website.com" \
-H "Content-Type: application/json" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-site-id: YOUR_API_KEY"
import requests
import json
url = "https://www.my-site.com/api/site/v2/users/1234 or user@website.com"
headers = {
"Content-Type": "application/json",
"x-api-key": "YOUR_API_KEY",
"x-site-id": "YOUR_API_KEY"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://www.my-site.com/api/site/v2/users/1234 or user@website.com", {
method: "GET",
headers: {
"Content-Type": "application/json",
"x-api-key": "YOUR_API_KEY",
"x-site-id": "YOUR_API_KEY"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://www.my-site.com/api/site/v2/users/1234 or user@website.com", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("x-api-key", "YOUR_API_KEY")
req.Header.Set("x-site-id", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://www.my-site.com/api/site/v2/users/1234 or user@website.com')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['x-api-key'] = 'YOUR_API_KEY'
request['x-site-id'] = 'YOUR_API_KEY'
response = http.request(request)
puts response.body
{}
{
"error": "Unauthorized",
"message": "Authentication required. Please provide a valid API token",
"code": 401
}
{
"error": "Forbidden",
"message": "You don't have permission to access this resource",
"code": 403
}
{
"error": "Not Found",
"message": "The requested resource was not found",
"code": 404
}
{
"error": "Unprocessable Entity",
"message": "The request was well-formed but contains semantic errors",
"code": 422,
"details": [
{
"field": "password",
"message": "Password must be at least 8 characters long"
}
]
}
GET
/users/{id}GET
Base URLstring
Target server for requests. Edit to use your own host.
API Key (header: x-site-id)
x-site-idstring
RequiredThe ID of the Siteglide site you are working with (not an API key — just the numeric site ID)
The ID of the Siteglide site you are working with (not an API key — just the numeric site ID)
path
idstring
RequiredThe ID or Email Address of the user
Request Preview
Response
Response will appear here after sending the request
Authentication
header
x-api-keystring
RequiredAPI Key for authentication. Your Siteglide API key
header
x-site-idstring
RequiredAPI Key for authentication. The ID of the Siteglide site you are working with (not an API key — just the numeric site ID)
Path Parameters
Responses
OK
Unauthorized - Credentials Incorrect
Forbidden - You cannot access this site
Not Found - CRM user does not exist
Unprocessable Entity - Required data missing or data invalid
Was this page helpful?